Cyberduck Mountain Duck CLI

#9668 closed defect (fixed)

Certificate trust error connecting to os.unil.cloud.switch.ch

Reported by: tschop Owned by: dkocher
Priority: normal Milestone: 5.1.3
Component: s3 Version: 5.0.11
Severity: normal Keywords: ssl trust
Cc: Architecture:
Platform: Mac OS X 10.10

Description (last modified by dkocher)

Hi,

We are running a third party S3 compatible object store using SSL star certificate. Because of the FQDN name size, Cyberduck always show a certificate trust error about the SSL certificate of the service. See attached screenshot.

Our service use a valid star certificate for 'os.unil.cloud.switch.ch' and '*.os.unil.cloud.switch.ch'. You can check it here

https://os.unil.cloud.switch.ch 

I think it is related to the issue #3813.

Attachments (1)

cyberduck-cert-trust-failure.png (259.3 KB) - added by tschop on Aug 25, 2016 at 2:40:47 PM.
Certificate trust failure

Download all attachments as: .zip

Change History (7)

Changed on Aug 25, 2016 at 2:40:47 PM by tschop

Certificate trust failure

comment:1 Changed on Aug 25, 2016 at 2:57:28 PM by tschop

For testing this bucket is public readable (anonymous): s3://os.zhdk.cloud.switch.ch/valery-public or s3://valery-public.os.zhdk.cloud.switch.ch.

Last edited on Aug 25, 2016 at 5:28:55 PM by dkocher (previous) (diff)

comment:2 Changed on Aug 25, 2016 at 5:27:16 PM by dkocher

  • Component changed from core to s3
  • Milestone set to 5.2
  • Owner set to dkocher
  • Status changed from new to assigned
  • Summary changed from Certificate trust error (S3 third party) to Certificate trust error connecting to os.unil.cloud.switch.ch

comment:3 Changed on Aug 25, 2016 at 5:27:34 PM by dkocher

  • Description modified (diff)

comment:4 Changed on Aug 25, 2016 at 6:27:40 PM by dkocher

Regression from r18562.

comment:5 Changed on Aug 26, 2016 at 9:11:31 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r21333.

comment:6 Changed on Oct 5, 2016 at 1:39:23 PM by dkocher

  • Milestone changed from 5.2 to 5.1.3

Milestone renamed

Note: See TracTickets for help on using tickets.
swiss made software